Migration vers le SDK le plus récent

Mise à jour vers le SDK le plus récent

Migration vers le SDK du Répertoire des applis Hootsuite actuel

Nous recommandons de mettre à jour vos applis par rapport aux nouvelles fonctions. Pour passer à la version v2.0, vous devez simplement mettre à jour la version du fichier bibliothèque JS vers lequel pointe l'appli.

Mettez à jour le fichier de : https://d2l6uygi1pgnys.cloudfront.net/jsapi/0-6/hsp.js à : https://d2l6uygi1pgnys.cloudfront.net/jsapi/2-0/hsp.js

Lorsque vous mettez à jour vos applis par rapport aux nouvelles fonctions, aucune autre méthode ne doit être mise à jour. Une fois la mise à jour terminée, vous pouvez retirer les récepteurs d'applis de votre appli. 

Si votre appli dispose d'un plug-in ou utilise les méthodes sendtoapp, sendprofiletoapp ou sendcomposedmsgtoapp, nous vous recommandons vivement de la mettre à jour, car cela résoudra le problème des plug-ins qui ne se chargent pas systématiquement dans le tableau de bord Hootsuite. Pour aller plus loin, toutes les améliorations et versions futures seront conçues pour correspondre à la version actuelle du SDK. 

Si vous mettez à jour une appli basée sur les flux de la version 0.5 à la 2.0, notez que le modèle de flux a été significativement mis à jour et que des ajustements sur votre CSS seront peut-être nécessaires pour que votre appli s'affiche correctement sur le tableau de bord. 

Versions précédentes

Pour toute appli fonctionnant toujours avec le SDK du Répertoire des applis Hootsuite v0.6, vous pouvez consultez la documentation ici :